<?PHP

//Фильтрация от xss
function clear_data($val){
$val = trim($val);
$val = stripslashes($val);
$val = strip_tags($val);
$val = htmlspecialchars($val, ENT_QUOTES, 'UTF-8');
return $val;
}

$vis_url = (isset($_POST['url']) && !empty($_POST['url']) ? clear_data($_POST['url']) : 'http://');
$vis_name = (isset($_POST['name']) && !empty($_POST['name']) ? clear_data($_POST['name']) : '');
$vis_days = (isset($_POST['days']) && !empty($_POST['days']) ? clear_data($_POST['days']) : '7');



require __DIR__ . "/connect/connect.php";

$glav_array = $pdo->query("SELECT * FROM settings WHERE id = 1")->fetch(PDO::FETCH_ASSOC);

$cena_day1 = clear_data($glav_array['cena_day']);
$cena_color1 = clear_data($glav_array['cena_color']);
$cena_bold1 = clear_data($glav_array['cena_bold']);
$cena_italic1 = clear_data($glav_array['cena_italic']);


$all_color = array(
''=>'Нет цвета',
'red'=>'Красный',
'blue'=>'Синий',
'black'=>'Чёрный',
'green'=>'Зелёный',
'orange'=>'Оранжевый',
'brown'=>'Коричневый',
'pink'=>'Розовый',
'lime'=>'Лайм',
'olive'=>'Оливковый',
'khaki'=>'Хаки',
'indigo'=>'Индиго',
'tomato'=>'Томатный',
'crimson'=>'Малиновый',
'purple'=>'Пурпурный',
'maroon'=>'Каштановый',
'olive'=>'Оливковый',
'chocolate'=>'Шоколадный',
'sienna'=>'Охра',
'firebrick'=>'Кирпичный',
'saddlebrown'=>'Старая кожа',
'seagreen'=>'Зелёное море',
'forestgreen'=>'Лесная зелень'
);

session_start();

if (isset($_SESSION['res'])) {
        echo $_SESSION['res'];
        unset($_SESSION['res']);
      }

if ($_SERVER["REQUEST_METHOD"] == "POST") {
  $error = 0;

  if (empty($_POST['url'])) {$error_mes = '<div class = "error">Введите url</div>'; $error = 1;}
  elseif (empty($_POST['name'])) {$error_mes = '<div class = "error">Введите название</div>'; $error = 1;}
  elseif (empty($_POST['days'])) {$error_mes = '<div class = "error">Введите кол-во дней</div>'; $error = 1;}

  elseif (mb_strlen($_POST['url'], 'UTF-8') < 11 || mb_strlen($_POST['url'], 'UTF-8') > 50) {$error_mes = '<div class = "error">Проверьте url</div>'; $error = 1;}
  elseif (mb_strlen($_POST['name'], 'UTF-8') < 5 || mb_strlen($_POST['name'], 'UTF-8') > 32) {$error_mes = '<div class = "error">В названии от 5 до 32 символов</div>'; $error = 1;}
  elseif (!is_numeric($_POST['days']) || ($_POST['days'] < 1 || $_POST['days'] > 30)) {$error_mes = '<div class = "error">Неверное кол-во дней</div>'; $error = 1;}
  elseif (!empty($_POST['color']) && !array_key_exists($_POST['color'], $all_color)) {$error_mes = '<div class = "error">Цвет не найден</div>'; $error = 1;}

  if (isset($_POST['yoomoney']) && $error == 0) {
    require __DIR__ . "/wallet/yoomoney.php";
  }

}

$reklama = $pdo->query("SELECT * FROM reklama
                        WHERE aktivna_do > {$serverTime}
                        AND activ = 1
                        ORDER BY RAND()
                        LIMIT {$glav_array['countvisrekl']}")->fetchAll(PDO::FETCH_ASSOC);


?>


<!DOCTYPE html>

  <!-- Язык сайта -->
 <html lang="ru-RU">

  <head>
   <!-- Кодировка -->
   <meta charset="UTF-8">

	 <!-- Заголовок страницы -->
	 <title><?PHP echo clear_data($glav_array['title']); ?></title>

	 <!-- Мета тег - описание -->
	 <meta name="description" content="Seo Раскрутка , Площадки для вашего сайта , Реклама для вашего сайта и многое другое вы найдете у нас.">

	 <!-- Мета тег - ключевые слова -->
	 <meta name="keywords" content="seo , раскрутка , реклама , все для wap мастера , 3 способа , блог , интересный портал , горячие , площадка для рекламы , новая рекламная сеть">

	 <!-- Мета тег - настройка масштаба -->
	 <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">

	 <!-- Подключение стилей css-->
	 <link rel="stylesheet" type="text/css" href="/design/RedLine.css">

  </head>

 <body>
<div class="box"><div class="logo"><a href="/"><img src="/design/logo.png"></a>
</div>
	<div class="onas">
		Стоимость размещение рекламы в день: <?PHP echo $cena_day1; ?> руб.
		<br>
		Добавление <span style='color: red;'>цвета</span> в день: <?PHP echo $cena_color1; ?> руб.
		<br>
		Добавление <strong>жирности</strong> в день: <?PHP echo $cena_bold1; ?> руб.
		<br>
		Добавление <i>курсивности</i> в день: <?PHP echo $cena_italic1; ?> руб.
</div>


<div class="menu_l"><div class="title">Реклама [<span id ='pereshli' style='color: #000;font-size: 12px;'></span>]</div>

<?PHP
if (!empty($reklama)) {
foreach ($reklama as $rek) {
  $name2 = clear_data($rek['name']);
  $color2 = (empty($rek['color']) ? '' : clear_data($rek['color']));
  $bold2 = (empty($rek['bold']) ? '' : $rek['bold']);
  $italic2 = (empty($rek['italic']) ? '' : $rek['italic']);

  echo "<a class='link' style ='{$color2}{$bold2}{$italic2}' href='/perehod.php?id={$rek['id']}'>
              {$name2} <span class='chet'>{$rek['count']}</span></a>";
}
} else { 
    echo '<div class ="link">Рекламы нет</div>';
}
?>



</div>

<div class="onas">

  <div class="poku">Покупка рекламы</div>

  <?PHP echo $error_mes; ?>

  <form action="" method="post">

	URL сайта[max50]:<br/><input name="url" style ='width: 100%;' type="text" minlength ="11" maxlength="50" value="<?PHP echo $vis_url; ?>" required><br/>

	Название ссылки[max32]:<br/><input name="name" style ='width: 100%;' type="text" minlength ="5" maxlength="32" value="<?PHP echo $vis_name; ?>" required><br/>

	Количество дней [от 1- до 30]:<br/><input name="days" id ='input' type="number" style ='width: 55%;' minlength ="1" maxlength="3" size="5" value="<?PHP echo $vis_days; ?>" required><br/>

	Цвет ссылки:<br/>
  <select name="color" id ='color' style ='width: 55%;'>

  <?PHP
	foreach($all_color as $eng_color=>$ru_color){
	echo "<option value='{$eng_color}'>{$ru_color}</option>";
	};
	?>

  </select><br/>

  <input name="bold" id ='bold' type="checkbox" value="1"/> <b>Жирность</b><br/>

	<input name="italic" id ='italic' type="checkbox" value="1"/> <i>Курсивность</i><br/>

  <div id="result"></div>

  <table class ='paytable'>
    <tr>
      <th style ='border-right: 1px solid #aab7b7;'><img class='payimg' src ='/design/yoomoney.png'><span class ='bbottom'></span>
      Оплата через кошелёк Yoomoney или картами банков.<br>
      <button type="submit" class ='button' name="yoomoney">Перейти к оплате</button></th>
    </tr>
  </table>

	</form>

</div>
<div class="foot"><img src="/design/copy.png"></div>
<div class="info"><img src="" alt="waplog"></div></div>
	</body>
</html>

<script type="text/javascript">
var input1 = document.getElementById('input');
var colorElement = document.getElementById('color');
var boldCheckbox = document.getElementById('bold');
var italicCheckbox = document.getElementById('italic');
var resultDiv = document.getElementById('result');

function calculate() {
    var num1 = parseFloat(input1.value);

    if (!isNaN(num1) && Number.isInteger(num1)) {

        var color = (colorElement.value.trim() !== "") ? <?PHP echo $cena_color1; ?> : 0;

        var bold = boldCheckbox.checked ? <?PHP echo $cena_bold1; ?> : 0;

        var italic = italicCheckbox.checked ? <?PHP echo $cena_italic1; ?> : 0;

        var sum = (color + bold + italic + <?PHP echo $cena_day1; ?>) * num1;
        resultDiv.innerHTML = 'Итого: ' + sum.toFixed(2) + '&#8381;';
    } else {
        resultDiv.textContent = 'Введите кол-во дней.';
    }
}

input1.addEventListener('input', calculate);
colorElement.addEventListener('change', calculate);
boldCheckbox.addEventListener('change', calculate);
italicCheckbox.addEventListener('change', calculate);

calculate();

function pluralize(n) {
    if (n % 10 === 1 && n % 100 !== 11) {
        return 'переход';
    } else if ((n % 10 >= 2 && n % 10 <= 4) && !(n % 100 >= 12 && n % 100 <= 14)) {
        return 'перехода';
    } else {
        return 'переходов';
    }
}

var pereshli = document.getElementById('pereshli');
var count = <?PHP echo $glav_array['count_click']; ?>;
var word = pluralize(count);

pereshli.innerHTML = count + ' ' + word;

</script>
