<?PHP

      //Фильтрация от xss
      function clear_data($val){
      $val = trim($val);
      $val = stripslashes($val);
      $val = strip_tags($val);
      $val = htmlspecialchars($val, ENT_QUOTES, 'UTF-8');
      return $val;
      }


      require __DIR__ . "/../connect/connect.php";

      function getTimeDifference($future_time, $serverTime) {
        // Текущее время
        $current_time = $serverTime;

        // Разница времени
        $time_diff = $future_time - $current_time;

        // Преобразование в дни, часы и минуты
        $days = floor($time_diff / (60 * 60 * 24));
        $hours = floor(($time_diff - $days * 60 * 60 * 24) / (60 * 60));
        $minutes = floor(($time_diff - $days * 60 * 60 * 24 - $hours * 60 * 60) / 60);

        // Возвращаем результаты в виде строки
        return "Активна ещё ($days д, $hours ч, $minutes м)";
    }

      session_start();

      if (isset($_SESSION['user_admin']) && !empty($_SESSION['user_admin'])) {

        if (isset($_GET['id']) && !empty($_GET['id']) && is_numeric($_GET['id'])) {

          $stmt = $pdo->prepare("DELETE FROM reklama WHERE id = :id");
          $stmt->bindParam(':id', $_GET['id'], PDO::PARAM_INT);
          $stmt->execute();


          $count1 = $stmt->rowCount();

          if ($count1 > 0) {
              $error_mes = '<div class = "error" style ="background-color: #3da33c;">Готово</div>';
          } else {
              $error_mes = '<div class = "error">Ошибка</div>';
          }

        }


        $reklama = $pdo->query("SELECT * FROM reklama ORDER BY aktivna_do DESC")->fetchAll(PDO::FETCH_ASSOC);


      } else {
        header("Location: /adminka/");
        exit();
      }
?>

<!DOCTYPE html>

  <!-- Язык сайта -->
 <html lang="ru-RU">

  <head>
   <!-- Кодировка -->
   <meta charset="UTF-8" />

	 <!-- Заголовок страницы -->
	 <title>Удаление рекламы</title>

	 <!-- Мета тег - описание -->
	 <meta name="description" content="Seo Раскрутка , Площадки для вашего сайта , Реклама для вашего сайта и многое другое вы найдете у нас.">

	 <!-- Мета тег - ключевые слова -->
	 <meta name="keywords" content="seo , раскрутка , реклама , все для wap мастера , 3 способа , блог , интересный портал , горячие , площадка для рекламы , новая рекламная сеть">

	 <!-- Мета тег - настройка масштаба -->
	 <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">

	 <!-- Подключение стилей css-->
	 <link rel="stylesheet" type="text/css" href="/design/RedLine.css">

  </head>

 <body>

  <div class ='onas'> После нажатия кнопки удалить реклама удаляется сразу без подтверждения.</div>

<div class="onas">
  <div class="poku">Удаление рекламы</div>

  <?PHP echo $error_mes; ?>

  <?PHP
  foreach ($reklama as $rek) {
    $url2 = clear_data($rek['url']);
    $id2 = clear_data($rek['id']);
    $name2 = clear_data($rek['name']);
    $oplat2 = ($rek['activ'] == 1) ? 'ДА' : 'НЕТ';
    $future_time = clear_data($rek['aktivna_do']);

    echo "<div class='link'>
              Ссылка: <a href ='{$url2}'>{$url2}</a><br>
              Название: {$name2}<br>
              Оплачено: {$oplat2}<br>
              Статус: " . ($future_time > $serverTime ? getTimeDifference($future_time, $serverTime) : 'Неактивна') . "<br>
              <a href ='/adminka/delet.php?id={$id2}' class ='button' style ='margin: 0 auto;display: block;'>Удалить</a></div>";
  }
  ?>

</div>

<a href="/adminka/" class="foot" style="display: block;padding: 5px;">В админку</a>


</body>
</html>
