<?PHP

      //Фильтрация от xss
      function clear_data($val){
      $val = trim($val);
      $val = stripslashes($val);
      $val = strip_tags($val);
      $val = htmlspecialchars($val, ENT_QUOTES, 'UTF-8');
      return $val;
      }

      $all_color = array(
      ''=>'Нет цвета',
      'red'=>'Красный',
      'blue'=>'Синий',
      'black'=>'Чёрный',
      'green'=>'Зелёный',
      'orange'=>'Оранжевый',
      'brown'=>'Коричневый',
      'pink'=>'Розовый',
      'lime'=>'Лайм',
      'olive'=>'Оливковый',
      'khaki'=>'Хаки',
      'indigo'=>'Индиго',
      'tomato'=>'Томатный',
      'crimson'=>'Малиновый',
      'purple'=>'Пурпурный',
      'maroon'=>'Каштановый',
      'olive'=>'Оливковый',
      'chocolate'=>'Шоколадный',
      'sienna'=>'Охра',
      'firebrick'=>'Кирпичный',
      'saddlebrown'=>'Старая кожа',
      'seagreen'=>'Зелёное море',
      'forestgreen'=>'Лесная зелень'
      );

      require __DIR__ . "/../connect/connect.php";

      session_start();

      if (isset($_SESSION['user_admin']) && !empty($_SESSION['user_admin'])) {

        $vis_url = (isset($_POST['url']) && !empty($_POST['url']) ? clear_data($_POST['url']) : 'http://');
        $vis_name = (isset($_POST['name']) && !empty($_POST['name']) ? clear_data($_POST['name']) : '');
        $vis_days = (isset($_POST['days']) && !empty($_POST['days']) ? clear_data($_POST['days']) : '7');

        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['ok'])) {
          $error = 0;

          if (empty($_POST['url'])) {$error_mes = '<div class = "error">Введите url</div>'; $error = 1;}
          elseif (empty($_POST['name'])) {$error_mes = '<div class = "error">Введите название</div>'; $error = 1;}
          elseif (empty($_POST['days'])) {$error_mes = '<div class = "error">Введите кол-во дней</div>'; $error = 1;}

          elseif (mb_strlen($_POST['url'], 'UTF-8') < 11 || mb_strlen($_POST['url'], 'UTF-8') > 50) {$error_mes = '<div class = "error">Проверьте url</div>'; $error = 1;}
          elseif (mb_strlen($_POST['name'], 'UTF-8') < 5 || mb_strlen($_POST['name'], 'UTF-8') > 32) {$error_mes = '<div class = "error">В названии от 5 до 32 символов</div>'; $error = 1;}
          elseif (!is_numeric($_POST['days']) || ($_POST['days'] < 1 || $_POST['days'] > 30)) {$error_mes = '<div class = "error">Неверное кол-во дней</div>'; $error = 1;}
          elseif (!empty($_POST['color']) && !array_key_exists($_POST['color'], $all_color)) {$error_mes = '<div class = "error">Цвет не найден</div>'; $error = 1;}


          if ($error == 0) {

            $color1 = (isset($_POST['color']) && !empty($_POST['color']) ? 'color:' . $_POST['color'] . ';' : '');

            $bold1 = (isset($_POST['bold']) && $_POST['bold'] == 1 ? 'font-weight: bold;' : '');

            $italic1 = (isset($_POST['italic']) && $_POST['italic'] == 1 ? 'font-style: italic;' : '');



            $days1 = (int)$_POST['days'];

            $aktivna_do1 =  $serverTime + (86400 * $days1);



            $stmt = $pdo->prepare("INSERT INTO reklama (url, name, color, bold, italic, count, aktivna_do, activ)
                                   VALUES (:url, :name, :color, '{$bold1}', '{$italic1}', 0, :aktivna_do, 1)");

            $stmt->bindParam(':url', $_POST['url'], PDO::PARAM_STR);
            $stmt->bindParam(':name', $_POST['name'], PDO::PARAM_STR);
            $stmt->bindParam(':color', $color1, PDO::PARAM_STR);
            $stmt->bindParam(':aktivna_do', $aktivna_do1, PDO::PARAM_INT);

            $stmt->execute();

          $error_mes = '<div class = "error" style ="background-color: #3da33c;">Готово</div>';

         }

        }

      } else {
        header("Location: /adminka/");
        exit();
      }
?>

<!DOCTYPE html>

  <!-- Язык сайта -->
 <html lang="ru-RU">

  <head>
   <!-- Кодировка -->
   <meta charset="UTF-8" />

	 <!-- Заголовок страницы -->
	 <title>Добавление рекламы</title>

	 <!-- Мета тег - описание -->
	 <meta name="description" content="Seo Раскрутка , Площадки для вашего сайта , Реклама для вашего сайта и многое другое вы найдете у нас.">

	 <!-- Мета тег - ключевые слова -->
	 <meta name="keywords" content="seo , раскрутка , реклама , все для wap мастера , 3 способа , блог , интересный портал , горячие , площадка для рекламы , новая рекламная сеть">

	 <!-- Мета тег - настройка масштаба -->
	 <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">

	 <!-- Подключение стилей css-->
	 <link rel="stylesheet" type="text/css" href="/design/RedLine.css">

  </head>

 <body>

<div class="onas">
  <div class="poku">Добавление рекламы</div>

  <?PHP echo $error_mes; ?>

  <form action="" method="post">

  URL сайта[max50]:<br/><input name="url" style ='width: 100%;' type="text" minlength ="11" maxlength="50" value="<?PHP echo $vis_url; ?>" required><br/>

	Название ссылки[max32]:<br/><input name="name" style ='width: 100%;' type="text" minlength ="5" maxlength="32" value="<?PHP echo $vis_name; ?>" required><br/>

	Количество дней [от 1- до 30]:<br/><input name="days" id ='input' type="number" style ='width: 55%;' minlength ="1" maxlength="3" size="5" value="<?PHP echo $vis_days; ?>" required><br/>

	Цвет ссылки:<br/>
  <select name="color" id ='color' style ='width: 55%;'>

  <?PHP
	foreach($all_color as $eng_color=>$ru_color){
	echo "<option value='{$eng_color}'>{$ru_color}</option>";
	};
	?>

  </select><br/>

  <input name="bold" id ='bold' type="checkbox" value="1"/> <b>Жирность</b><br/>

	<input name="italic" id ='italic' type="checkbox" value="1"/> <i>Курсивность</i><br/>

  <button type="submit" class ='button' name="ok">Добавить</button>

	</form>

</div>

<a href="/adminka/" class="foot" style="display: block;padding: 5px;">В админку</a>


</body>
</html>
