<?PHP

      //Фильтрация от xss
      function clear_data($val){
      $val = trim($val);
      $val = stripslashes($val);
      $val = strip_tags($val);
      $val = htmlspecialchars($val, ENT_QUOTES, 'UTF-8');
      return $val;
      }

      require __DIR__ . "/../connect/connect.php";

      session_start();

      if (isset($_SESSION['user_admin']) && !empty($_SESSION['user_admin'])) {

        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['ok'])) {
          $error = 0;

          $glav_array = $pdo->query("SELECT password FROM settings WHERE id = 1")->fetch(PDO::FETCH_ASSOC);

          if (empty($_POST['pass'])) {$error_mes = '<div class = "error">Введите старый пароль</div>'; $error = 1;}
          elseif (empty($_POST['pass_new'])) {$error_mes = '<div class = "error">Введите новый пароль</div>'; $error = 1;}
          elseif (mb_strlen($_POST['pass_new'], 'UTF-8') < 7 || mb_strlen($_POST['pass_new'], 'UTF-8') > 15) {$error_mes = '<div class = "error">Новый пароль от 7 до 15 символов</div>'; $error = 1;}
          elseif (!password_verify($_POST['pass'], $glav_array['password'])) {$error_mes = '<div class = "error">Неверный старый пароль</div>'; $error = 1;}


          if ($error == 0) {

          $passhash = password_hash($_POST['pass_new'], PASSWORD_DEFAULT);

          $stmt = $pdo->prepare("UPDATE settings SET password = :password WHERE id = 1");
          $stmt->bindParam(':password', $passhash, PDO::PARAM_STR);
          $stmt->execute();

          $error_mes = '<div class = "error" style ="background-color: #3da33c;">Готово</div>';

        }

        }

      } else {
        header("Location: /adminka/");
        exit();
      }
?>

<!DOCTYPE html>

  <!-- Язык сайта -->
 <html lang="ru-RU">

  <head>
   <!-- Кодировка -->
   <meta charset="UTF-8" />

	 <!-- Заголовок страницы -->
	 <title>Смена пароля</title>

	 <!-- Мета тег - описание -->
	 <meta name="description" content="Seo Раскрутка , Площадки для вашего сайта , Реклама для вашего сайта и многое другое вы найдете у нас.">

	 <!-- Мета тег - ключевые слова -->
	 <meta name="keywords" content="seo , раскрутка , реклама , все для wap мастера , 3 способа , блог , интересный портал , горячие , площадка для рекламы , новая рекламная сеть">

	 <!-- Мета тег - настройка масштаба -->
	 <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">

	 <!-- Подключение стилей css-->
	 <link rel="stylesheet" type="text/css" href="/design/RedLine.css">

  </head>

 <body>

<div class="onas">
  <div class="poku">Смена пароля</div>

  <form action="" method="post">

    <?PHP echo $error_mes; ?>

    Старый пароль(min:7 max:15):<br/>
    <input name="pass" style ='width: 55%;' type="text" minlength ="7" maxlength="15" placeholder="Старый пароль" required><br/>

    Новый пароль(min:7 max:15):<br/>
    <input name="pass_new" id ='input' type="text" minlength ="7" maxlength="15" style ='width: 55%;' placeholder="Новый пароль" required><br/>

    <button type="submit" class ='button' name="ok">Изменить</button>
    </form>

</div>

<a href="/adminka/" class="foot" style="display: block;padding: 5px;">В админку</a>


</body>
</html>
