<?PHP

      //Фильтрация от xss
      function clear_data($val){
      $val = trim($val);
      $val = stripslashes($val);
      $val = strip_tags($val);
      $val = htmlspecialchars($val, ENT_QUOTES, 'UTF-8');
      return $val;
      }

      require __DIR__ . "/../connect/connect.php";

      session_start();

      if (isset($_SESSION['user_admin']) && !empty($_SESSION['user_admin'])) {

        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['ok'])) {
          $error = 0;

          if (empty($_POST['name'])) {$error_mes = '<div class = "error">Введите название</div>'; $error = 1;}
          elseif (mb_strlen($_POST['name'], 'UTF-8') < 5 || mb_strlen($_POST['name'], 'UTF-8') > 50) {$error_mes = '<div class = "error">В названии от 5 до 50 символов</div>'; $error = 1;}
          elseif (!is_numeric($_POST['days']) ||
                  !is_numeric($_POST['color']) ||
                  !is_numeric($_POST['bold']) ||
                  !is_numeric($_POST['italic'])) {$error_mes = '<div class = "error">Используйте цифры для указания цен</div>'; $error = 1;}
          elseif (!is_numeric($_POST['countvisrekl']) || ($_POST['countvisrekl'] < 1 || $_POST['countvisrekl'] > 30)) {$error_mes = '<div class = "error">Минимум одна ссылка, максимум 30</div>'; $error = 1;}


          if ($error == 0) {

          $stmt = $pdo->prepare("UPDATE settings SET title = :title, cena_day = :cena_day, cena_color = :cena_color,
                                                     cena_bold = :cena_bold, cena_italic = :cena_italic, countvisrekl = :countvisrekl WHERE id = 1");
          $stmt->bindParam(':title', $_POST['name'], PDO::PARAM_STR);
          $stmt->bindParam(':cena_day', $_POST['days'], PDO::PARAM_STR);
          $stmt->bindParam(':cena_color', $_POST['color'], PDO::PARAM_STR);
          $stmt->bindParam(':cena_bold', $_POST['bold'], PDO::PARAM_STR);
          $stmt->bindParam(':cena_italic', $_POST['italic'], PDO::PARAM_STR);
          $stmt->bindParam(':countvisrekl', $_POST['countvisrekl'], PDO::PARAM_INT);
          $stmt->execute();

          $error_mes = '<div class = "error" style ="background-color: #3da33c;">Готово</div>';

        }

        }





        $glav_array = $pdo->query("SELECT * FROM settings WHERE id = 1")->fetch(PDO::FETCH_ASSOC);

        $cena_day1 = clear_data($glav_array['cena_day']);
        $cena_color1 = clear_data($glav_array['cena_color']);
        $cena_bold1 = clear_data($glav_array['cena_bold']);
        $cena_italic1 = clear_data($glav_array['cena_italic']);

        $title = clear_data($glav_array['title']);
        $countvisrekl = clear_data($glav_array['countvisrekl']);


      } else {
        header("Location: /adminka/");
        exit();
      }
?>

<!DOCTYPE html>

  <!-- Язык сайта -->
 <html lang="ru-RU">

  <head>
   <!-- Кодировка -->
   <meta charset="UTF-8" />

	 <!-- Заголовок страницы -->
	 <title>Настройка сайта</title>

	 <!-- Мета тег - описание -->
	 <meta name="description" content="Seo Раскрутка , Площадки для вашего сайта , Реклама для вашего сайта и многое другое вы найдете у нас.">

	 <!-- Мета тег - ключевые слова -->
	 <meta name="keywords" content="seo , раскрутка , реклама , все для wap мастера , 3 способа , блог , интересный портал , горячие , площадка для рекламы , новая рекламная сеть">

	 <!-- Мета тег - настройка масштаба -->
	 <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">

	 <!-- Подключение стилей css-->
	 <link rel="stylesheet" type="text/css" href="/design/RedLine.css">

  </head>

 <body>

<div class="onas">
  <div class="poku">Настройка сайта</div>

  <form action="" method="post">

    <?PHP echo $error_mes; ?>

    Название сайта(min:5 max:50):<br/>
    <input name="name" style ='width: 100%;' type="text" minlength ="5" maxlength="50" value="<?PHP echo $title; ?>" required><br/>

    Цена в день(руб):<br/>
    <input name="days" id ='input' type="text" style ='width: 55%;' value="<?PHP echo $cena_day1; ?>" required><br/>

    Цена цвета(руб):<br/>
    <input name="color" id ='input' type="text" style ='width: 55%;' value="<?PHP echo $cena_color1; ?>" required><br/>

    Цена жирность(руб):<br/>
    <input name="bold" id ='input' type="text" style ='width: 55%;' value="<?PHP echo $cena_bold1; ?>" required><br/>

    Цена курсивность(руб):<br/>
    <input name="italic" id ='input' type="text" style ='width: 55%;' value="<?PHP echo $cena_italic1; ?>" required><br/>

    Кол-во показываемых ссылок одновременно:<br/>
    <input name="countvisrekl" id ='input' type="number" style ='width: 55%;' value="<?PHP echo $countvisrekl; ?>" required><br/>

    <button type="submit" class ='button' name="ok">Изменить</button>
    </form>

</div>

<a href="/adminka/" class="foot" style="display: block;padding: 5px;">В админку</a>


</body>
</html>
